View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000232: About the code page of update.dau
Description

When I tried to update FoxTheory online, I encountered an embarrassing situation: it seems that my native code page is different from the code page in the update document, which leads to the Japanese file name becoming garbled Chinese
At present, my solution to this problem is:
Multiple attempts to transform code page when file 404
And unified use of utf8 in future update.dau build

Relationships

related to 0000249 closedponapalt an unknow error when update ghost 

Activities

guest

2021-08-18 18:23

reporter  

a.png (43,578 bytes)   
a.png (43,578 bytes)   

guest

2021-08-21 20:55

reporter   ~0000579

This error also occurred on taromati 2: the file name of MP3 originally named after Japanese katakana changed to Chinese characters during the reception of update files

图片.png (82,444 bytes)   
图片.png (82,444 bytes)   
图片-2.png (29,312 bytes)   
图片-2.png (29,312 bytes)   

guest

2021-08-21 20:59

reporter   ~0000580

图片-3.png (54,232 bytes)   
图片-3.png (54,232 bytes)   

ponapalt

2021-08-25 15:11

administrator   ~0000596

-implemented "file/io" character code setting in i18n dialog

Issue History

Date Modified Username Field Change
2021-08-18 18:23 guest New Issue
2021-08-18 18:23 guest File Added: a.png
2021-08-21 20:55 guest Note Added: 0000579
2021-08-21 20:55 guest File Added: 图片.png
2021-08-21 20:55 guest File Added: 图片-2.png
2021-08-21 20:59 guest Note Added: 0000580
2021-08-21 20:59 guest File Added: 图片-3.png
2021-08-23 08:13 ponapalt Assigned To => ponapalt
2021-08-23 08:13 ponapalt Status new => assigned
2021-08-23 08:13 ponapalt Status assigned => confirmed
2021-08-25 15:11 ponapalt Status confirmed => closed
2021-08-25 15:11 ponapalt Resolution open => fixed
2021-08-25 15:11 ponapalt Fixed in Version => 2.5 (リリース)
2021-08-25 15:11 ponapalt Note Added: 0000596
2021-08-25 16:53 ponapalt Relationship added related to 0000249